Page MenuHomeFreeBSD

Optionally build with block driver for RADOS (Ceph)
Needs ReviewPublic

Authored by trociny on Mon, Feb 10, 11:41 AM.
This revision needs review, but there are no reviewers specified.

Details

Reviewers
None
Summary

Add option to build with block driver for RADOS (Ceph)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 29266
Build 27182: arc lint + arc unit

Event Timeline

trociny created this revision.Mon, Feb 10, 11:41 AM

Took a while for it to run thru poudriere, but it seems to build just fine....

===>  Deinstalling for qemu
===>   Deinstalling qemu-4.1.1_1
Updating database digests format: .......... done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
        qemu-4.1.1_1

Number of packages to be removed: 1

Took a while for it to run thru poudriere, but it seems to build just fine....

Willem, just make sure it is clear. By default the package is still built without rbd. You need to set RBD option if you want it to be built with rbd support.

Took a while for it to run thru poudriere, but it seems to build just fine....

Willem, just make sure it is clear. By default the package is still built without rbd. You need to set RBD option if you want it to be built with rbd support.

Ah, oke.
I'll have to add a config file then.

Will run again. Should go faster now, since all the other requirements are build.

Took a while for it to run thru poudriere, but it seems to build just fine....

Willem, just make sure it is clear. By default the package is still built without rbd. You need to set RBD option if you want it to be built with rbd support.

Ah, oke.
I'll have to add a config file then.
Will run again. Should go faster now, since all the other requirements are build.

This time Rados was linked in, and I think this PR could/should should go in.

 0x0000000000000001 NEEDED               Shared library: [librbd.so.1]
 0x0000000000000001 NEEDED               Shared library: [librdmacm.so.1]
 0x0000000000000001 NEEDED               Shared library: [librt.so.1]
 0x0000000000000001 NEEDED               Shared library: [libsasl2.so.3]
 0x0000000000000001 NEEDED               Shared library: [libsnappy.so.1]
 0x0000000000000001 NEEDED               Shared library: [libthr.so.3]
 0x0000000000000001 NEEDED               Shared library: [libusb.so.3]
 0x0000000000000001 NEEDED               Shared library: [libutil.so.9]
 0x0000000000000001 NEEDED               Shared library: [libvdeplug.so.3]
 0x0000000000000001 NEEDED               Shared library: [libvte-2.91.so.0]
 0x0000000000000001 NEEDED               Shared library: [libxkbcommon.so.0]
 0x0000000000000001 NEEDED               Shared library: [libxml2.so.2]
 0x0000000000000001 NEEDED               Shared library: [libz.so.6]
=======================<phase: deinstall      >============================
===>  Deinstalling for qemu
===>   Deinstalling qemu-4.1.1_1
Updating database digests format: .......... done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
        qemu-4.1.1_1

Number of packages to be removed: 1

The operation will free 536 MiB.
[113-HEAD] [1/1] Deinstalling qemu-4.1.1_1...
[113-HEAD] [1/1] Deleting files for qemu-4.1.1_1: .......... done